Subject: Re: bug#78562: Coreutils-9.7 do not build on macOS High Sierra, Version 10.13.6, because src/cksum.c: uses invalid cpu feature string for builtin

From: Peter Dyballa <[email-masked]>
Date: Thu, 29 May 2025 11:54:50 +0200

> Am 29.05.2025 um 11:06 schrieb Pádraig Brady <[email-masked]>:
> 
>> 	<stdin>:59:2: error: instruction requires: AVX-512 ISA
>> 	        vmovdqa64       lC0(%rip), %zmm0
>> 	        ^
> 
> The above suggests that `/opt/local/bin/gcc-mp-14 -std=gnu23 ... -mavx512bw -mavx512f -mvpclmulqdq ... -arch x86_64`
> isn't enough to support building with AVX-512 ISA.
> 
> That should be fine though if the same determination is made at configure time,
> which would cause USE_AVX512_CRC32 to _not_ be defined.
> You should be able to see the configure time checks with:
> 
>  grep -A3 'avx512 pclmul intrinsic exists' config.log

Output is:

	configure:94181: checking if avx512 pclmul intrinsic exists
	configure:94209: /opt/local/bin/gcc-mp-14 -std=gnu23 -o conftest  -mavx512bw -mavx512f -mvpclmulqdq -pipe -Os -arch x86_64 -I/opt/local/include -L/opt/local/lib -Wl,-headerpad_max_install_names -arch x86_64 conftest.c  >&5
	configure:94209: $? = 0
	configure:94225: result: yes

configure's invocation is:

	./configure --prefix=/opt/local --disable-silent-rules --program-prefix=g --with-openssl=no --disable-year2038 

> 
> cheers,
> Pádraig
> 
> p.s. I'm surprised you need autoconf when building from Paul's snapshot,
> are you further patching ac files during the macports build or something?

Nothing more, just the two files mentioned:

	--- aclocal.m4~	2025-05-28 21:37:07.000000000 +0200
	+++ aclocal.m4	2025-05-29 09:11:06.000000000 +0200
	@@ -32,10 +32,10 @@
	 # generated from the m4 files accompanying Automake X.Y.
	 # (This private macro should not be called outside this file.)
	 AC_DEFUN([AM_AUTOMAKE_VERSION],
	-[am__api_version='1.18'
	+[am__api_version='1.17'
	 dnl Some users find AM_AUTOMAKE_VERSION and mistake it for a way to
	 dnl require some minimum version.  Point them to the right macro.
	-m4_if([$1], [1.18], [],
	+m4_if([$1], [1.17], [],
	       [AC_FATAL([Do not call $0, use AM_INIT_AUTOMAKE([$1]).])])dnl
	 ])
	 
	@@ -51,7 +51,7 @@
	 # Call AM_AUTOMAKE_VERSION and AM_AUTOMAKE_VERSION so they can be traced.
	 # This function is AC_REQUIREd by AM_INIT_AUTOMAKE.
	 AC_DEFUN([AM_SET_CURRENT_AUTOMAKE_VERSION],
	-[AM_AUTOMAKE_VERSION([1.18])dnl
	+[AM_AUTOMAKE_VERSION([1.17])dnl
	 m4_ifndef([AC_AUTOCONF_VERSION],
	   [m4_copy([m4_PACKAGE_VERSION], [AC_AUTOCONF_VERSION])])dnl
	 _AM_AUTOCONF_VERSION(m4_defn([AC_AUTOCONF_VERSION]))])
	--- configure~	2025-05-28 21:49:56.000000000 +0200
	+++ configure	2025-05-29 09:11:55.000000000 +0200
	@@ -6008,7 +6008,7 @@
	 ac_config_headers="$ac_config_headers lib/config.h:lib/config.hin"

	-am__api_version='1.18'
	+am__api_version='1.17'

But that's over, I managed to install automake 1.18. (I'll try the same on my old PowerBook G4 as well to test the new version of coreutils! Only that the configure step seems to take hours now… And the warnings continue to exist.)

--
Greetings
             ~  O
  Pete       ~~_\\_/%
             ~  O  o